import request from '@/utils/request'

// 查询企业微信部门列表
export function listQwDept(query) {
  return request({
    url: '/qw/qwDept/list',
    method: 'get',
    params: query
  })
}

// 查询企业微信部门详细
export function getQwDept(id) {
  return request({
    url: '/qw/qwDept/' + id,
    method: 'get'
  })
}

// 新增企业微信部门
export function addQwDept(data) {
  return request({
    url: '/qw/qwDept',
    method: 'post',
    data: data
  })
}

// 同步企业微信部门
export function syncDept() {
  return request({
    url: '/qw/qwDept/syncDept',
    method: 'get'
  })
}

// 修改企业微信部门
export function updateQwDept(data) {
  return request({
    url: '/qw/qwDept',
    method: 'put',
    data: data
  })
}

// 删除企业微信部门
export function delQwDept(id) {
  return request({
    url: '/qw/qwDept/' + id,
    method: 'delete'
  })
}

// 导出企业微信部门
export function exportQwDept(query) {
  return request({
    url: '/qw/qwDept/export',
    method: 'get',
    params: query
  })
}
